﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ECMAScriptMO.aspx.cs" Inherits="MOCliente_ECMAScript.Layouts.MOCliente_ECMAScript.ECMAScriptMO" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
    <SharePoint:ScriptLink ID="SPScriptLink" runat="server" LoadAfterUI="true" Localizable="false" Name="sp.js" />       
    <script language="ecmascript" type="text/ecmascript">
        function actualizarLista() {
            var clientContext =
                new SP.ClientContext('/');
            var oSitioWeb = clientContext.get_web();
            var oColListas = oSitioWeb.get_lists();
            this.oList = oColListas.getByTitle('Calendario');
            oList.set_title(document.getElementById("nuevoNombreLista").value);
            oList.update();
            clientContext.load(oList);

            clientContext.executeQueryAsync(
                Function.createDelegate(this, this.ConsultaOk),
                Function.createDelegate(this, this.ConsultaNoOk));
        }

        function ConsultaOk() {
            alert('Se ha cambiado el nombre de la lista a: '
                + oList.get_title());
        }

        function ConsultaNoOk(sender, args) {
            alert('Fallo en la conexión '
                + args.get_message() + '\n'
                + args.get_stackTrace());
        }
    </script> 
</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
<input type="text" id="nuevoNombreLista" value="Nombre de la lista..." />
<input type='button' onclick='actualizarLista()' value='Cambiar nombre' />
</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
Implementación ECMAScript del MO en cliente
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
Implementación ECMAScript del MO en cliente
</asp:Content>
