﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Workflow;
using Microsoft.SharePoint.WorkflowActions;

namespace AprobacionEstadoMaquina.Workflow1
{
    public sealed partial class Workflow1 : StateMachineWorkflowActivity
    {
        public Workflow1()
        {
            InitializeComponent();
        }

        public SPWorkflowActivationProperties workflowProperties = new SPWorkflowActivationProperties();
        public Guid createTask1_TaskId1 = default(System.Guid);
        public SPWorkflowTaskProperties createTask1_TaskProperties1 = new Microsoft.SharePoint.Workflow.SPWorkflowTaskProperties();

        private void createTask1_MethodInvoking(object sender, EventArgs e)
        {
            createTask1_TaskId1 = Guid.NewGuid();
            createTask1_TaskProperties1.Title = "Aprobacion de documento";
            createTask1_TaskProperties1.AssignedTo = @"spsb2\administrator";
            createTask1_TaskProperties1.Description = "Aprobar documento " + workflowProperties.Item["Nombre"].ToString();
        }

        public SPWorkflowTaskProperties onTaskChanged1_AfterProperties1 = new Microsoft.SharePoint.Workflow.SPWorkflowTaskProperties();
        public SPWorkflowTaskProperties onTaskChanged1_BeforeProperties1 = new Microsoft.SharePoint.Workflow.SPWorkflowTaskProperties();
        private bool tareaCompleta = false;

        private void onTaskChanged1_Invoked(object sender, ExternalDataEventArgs e)
        {
            SPList listaTareas = workflowProperties.TaskList;
            SPField campoEstado = listaTareas.Fields["Estado"];
            string estadoTarea = onTaskChanged1_AfterProperties1.ExtendedProperties[campoEstado.Id].ToString();
            if (estadoTarea == "Completada")
                tareaCompleta = true;
        }
    }
}
