﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;
using Microsoft.Office.DocumentManagement.DocumentSets;
using System.Collections;

namespace DocumentSetNS
{
    class Program
    {
        static void Main(string[] args)
        {
            CrearDocumentSets();
        }

        static void CrearDocumentSets()
        {
            using (SPSite mySite = new SPSite("http://sps"))
            {
                using (SPWeb myWeb = mySite.OpenWeb())
                {
                    SPList myList = myWeb.Lists["MisDocumentos"];

                    //foreach (SPContentType a in myList.ContentTypes)
                    //    Console.WriteLine(a.Name);

                    Hashtable myPropiedades = new Hashtable();
                    myPropiedades.Add("Name", "PropuestaUno");
                    myPropiedades.Add("Description", "Propuesta Uno");
                    myPropiedades.Add("Customer ID", "UnCliente");
                    myPropiedades.Add("Customer Name", "Un Cliente");
                    DocumentSet myDocSet = DocumentSet.Create(myList.RootFolder, "PropuestaDos", myList.ContentTypes["Conjunto de documentos"].Id, myPropiedades, true); 
                }
            }
        }
    }
}
