﻿using System;
using System.Runtime.InteropServices;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace SandBoxedSample.WebPart1
{
    public class WebPart1 : WebPart
    {
        public WebPart1()
        {
        }

        protected override void CreateChildControls()
        {
            ListBox listControl = new ListBox();
            foreach (SPList lista in SPContext.Current.Web.Lists)
            {
                ListItem itemControl = new ListItem();
                itemControl.Text = lista.Title;
                itemControl.Value = lista.ID.ToString();
                listControl.Items.Add(itemControl);
            }

            this.Controls.Add(listControl);
            base.CreateChildControls();
        }

        protected override void Render(HtmlTextWriter writer)
        {
            base.Render(writer);
        }
    }
}
