USE [master]
GO
CREATE DATABASE [Clientes] ON  PRIMARY 
( NAME = N'Clientes', 
	FILENAME = 
	N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\Clientes.mdf' , 
		SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'Clientes_log', 
	FILENAME = 
	N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\Clientes_log.ldf' , 
		SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
ALTER DATABASE [Clientes] SET COMPATIBILITY_LEVEL = 100
GO
USE [Clientes]
GO
CREATE TABLE [dbo].[MD_Clientes](
	[ID_Cliente] [nvarchar](50) NOT NULL,
	[sNombreCliente] [nvarchar](50) NOT NULL,
	[sDireccionCliente] [nvarchar](50) NULL,
	[sEmailCliente] [nvarchar](50) NULL,
 CONSTRAINT [PK_MD_Clientes] PRIMARY KEY CLUSTERED 
(
	[ID_Cliente] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, 
	IGNORE_DUP_KEY = OFF, 
	ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) 
	ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[MD_Ventas](
	[ID_Venta] [nvarchar](50) NOT NULL,
	[ID_Cliente] [nvarchar](50) NOT NULL,
	[sDescripcionVenta] [nvarchar](50) NULL,
	[mPrecioVenta] [money] NULL,
 CONSTRAINT [PK_MD_Ventas] PRIMARY KEY CLUSTERED 
(
	[ID_Venta] ASC,
	[ID_Cliente] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, 
	IGNORE_DUP_KEY = OFF, 
	ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) 
	ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[MD_Ventas]  WITH CHECK 
	ADD  CONSTRAINT [FK_MD_Ventas_MD_Clientes] 
	FOREIGN KEY([ID_Cliente])
	REFERENCES [dbo].[MD_Clientes] ([ID_Cliente])
GO
ALTER TABLE [dbo].[MD_Ventas] 
	CHECK CONSTRAINT [FK_MD_Ventas_MD_Clientes]
GO